Package com.xebialabs.xlrelease.domain.delivery

## Class Subscriber

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.delivery.Subscriber

- All Implemented Interfaces:
    `ConfigurationItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`
  Direct Known Subclasses:
    `StageCompletionSubscriber`, `TrackedItemStatusChangeSubscriber`

      public abstract class Subscriber
      extends BaseConfigurationItem

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Subscriber()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract SubscriptionResult` | `evaluate​(Delivery delivery)` |
    `java.lang.String` | `getSourceId()` |
    `boolean` | `isEqual​(Subscriber subscriber)` |
    `void` | `setSourceId​(java.lang.String x$1)` |
    `java.lang.String` | `sourceId()` |
    `void` | `sourceId_$eq​(java.lang.String x$1)` |
    `abstract void` | `validate​(Delivery delivery)` |

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Subscriber

          public Subscriber()

  - ### Method Detail

    - #### evaluate

          public abstract SubscriptionResult evaluate​(Delivery delivery)

    - #### getSourceId

          public java.lang.String getSourceId()

    - #### isEqual

          public boolean isEqual​(Subscriber subscriber)

    - #### setSourceId

          public void setSourceId​(java.lang.String x$1)

    - #### sourceId

          public java.lang.String sourceId()

    - #### sourceId_$eq

          public void sourceId_$eq​(java.lang.String x$1)

    - #### validate

          public abstract void validate​(Delivery delivery)